<template>
  <div>
    <mobile
      v-if="isMobile"
      :type="type"
      :reservations="reservations"
      :loading="loading"
    />
    <desktop
      v-else
      :type="type"
      :reservations="reservations"
      :loading="loading"
    />
  </div>
</template>

<script>
import { mapState } from "vuex";
import Mobile from "./RecordListMobile";
import Desktop from "./RecordListDesktop";

export default {
  components: {
    Mobile,
    Desktop
  },

  computed: {
    ...mapState(["isMobile"])
  },

  props: {
    reservations: {
      type: Array,
      default: () => []
    },
    loading: {
      type: Boolean,
      default: () => false
    },

    type: {
      type: String,
      default: () => "booking"
    }
  }
};
</script>
